Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.makumba.forms.html
Class realEditor

    java.lang.Object
      org.makumba.commons.formatters.FieldFormatter
          org.makumba.forms.html.FieldEditor
              org.makumba.forms.html.charEditor
                  org.makumba.forms.html.intEditor
                      org.makumba.forms.html.realEditor

    public class realEditor

extends intEditor

Field Summary
`(package private) static String[][]` | `__paramValues`

Fields inherited from class org.makumba.forms.html.intEditor
`__params`

Fields inherited from class org.makumba.forms.html.charEditor
`_params, _paramValues`

Fields inherited from class org.makumba.forms.html.FieldEditor
`ERROR_NO_BOOLEAN, ERROR_NO_INT, ERROR_NO_REAL, extraFormattingParam, formName, params, paramValues, suffixName`

Method Summary
`String[][]` | `getAcceptedValue()`
`static FieldFormatter` | `getInstance()`
`Object` | `readFrom(RecordFormatter rf, int fieldIndex, HttpParameters par, String suffix)`

Methods inherited from class org.makumba.forms.html.intEditor
`formatNotNull, formatValue, getAcceptedParams, getWidth`

Methods inherited from class org.makumba.forms.html.charEditor
`formatNull, getInputType, getParams`

Methods inherited from class org.makumba.forms.html.FieldEditor
`checkParam, format, formatHidden, formatHiddenValue, formatShow, getExtraFormatting, getInputName, getInputName, getSuffix, onStartup, setExtraFormatting, setFormName, setSuffix, toBoolean, toInt, toReal`

Methods inherited from class org.makumba.commons.formatters.FieldFormatter
`checkParams, equals, getDefaultValueFormat, getEmptyValueFormat, getExpr, getIntParam, getIntParamString, initExpr, resetValueFormat`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### __paramValues

    static String[][] __paramValues

Method Detail

### getAcceptedValue

    public String[][] getAcceptedValue()

  Overrides:
    `getAcceptedValue` in class `intEditor`

### getInstance

    public static FieldFormatter getInstance()

### readFrom

    public Object readFrom(RecordFormatter rf,
                           int fieldIndex,
                           HttpParameters par,
                           String suffix)

  Overrides:
    `readFrom` in class `intEditor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Docs generated on 2009-02-25 14:20